%if 0%{?fedora} > 20
%global with_python3 1
%else
%{!?__python2: %global __python2 /usr/bin/python2}
%{!?python2_sitearch: %global python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

Name:           python-txpostgres
Version:        1.6.0
Release:        1%{?dist}
Summary:        Twisted wrapper for asynchronous PostgreSQL connections

Group:          Development/Libraries
License:        ASL 2.0 or BSD
URL:            https://github.com/wulczer/txpostgres
Source0:        https://pypi.python.org/packages/ea/08/26fc020fcfe18de46f2f6d1197cfad702ed20071615febf0ed63a100027d/txpostgres-%{version}.tar.bz2
BuildArch:	noarch

BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:	python-twisted-core
BuildRequires:	python-psycopg2

%if 0%{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:	python3-twisted
BuildRequires:	python3-psycopg2
%endif

%description
A Twisted wrapper for asynchronous PostgreSQL connections.

Based on the interface exposed from the native Postgres C library by the
Python psycopg2 driver.

Can be used as a drop-in replacement for Twisted’s adbapi module when
working with PostgreSQL. The only part that does not provide 100%
compatibility is connection pooling, although pooling provided by
txpostgres is very similar to the one Twisted adbapi offers.

%package -n  python2-txpostgres
Group:          Development/Libraries
Summary:        Twisted wrapper for asynchronous PostgreSQL connections
Requires:	python-twisted-core
Requires:	python-psycopg2

%if 0%{?fedora}
%{?python_provide:%python_provide python2-txpostgres}
%else
Provides:       python-txpostgres = %{version}-%{release}
%endif

%description -n python2-txpostgres
A Twisted wrapper for asynchronous PostgreSQL connections.

Based on the interface exposed from the native Postgres C library by the
Python psycopg2 driver.

Can be used as a drop-in replacement for Twisted�~@~Ys adbapi module when
working with PostgreSQL. The only part that does not provide 100%
compatibility is connection pooling, although pooling provided by
txpostgres is very similar to the one Twisted adbapi offers.

%if 0%{?with_python3}
%package -n  python3-txpostgres
Group:          Development/Libraries
Summary:        Twisted wrapper for asynchronous PostgreSQL connections
Requires:	python3-twisted
Requires:	python3-psycopg2
%{?python_provide:%python_provide python3-txpostgres}

%description -n python3-txpostgres
A Twisted wrapper for asynchronous PostgreSQL connections.

Based on the interface exposed from the native Postgres C library by the
Python psycopg2 driver.

Can be used as a drop-in replacement for Twisted�~@~Ys adbapi module when
working with PostgreSQL. The only part that does not provide 100%
compatibility is connection pooling, although pooling provided by
txpostgres is very similar to the one Twisted adbapi offers.
%endif

%prep
%autosetup -n txpostgres-%{version}

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!/usr/bin/python|#!%{__python3}|'
%endif

%build
%{__python2} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif


%install
find . -name .keep -print -delete

%{__python2} setup.py install --skip-build --prefix=%{_prefix} --root %{buildroot}

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --prefix=%{_prefix} --root %{buildroot}
popd
%endif


%check
trial test

%if 0%{?with_python3}
pushd %{py3dir}
trial-3 test
popd
%endif


%files -n python2-txpostgres
%doc LICENSE MANIFEST.in PKG-INFO
%{python_sitelib}/*


%if 0%{?with_python3}
%files -n python3-txpostgres
%doc LICENSE MANIFEST.in PKG-INFO
%{python3_sitelib}/*
%endif


%changelog
* Wed Sep 06 2017 Josko Plazonic <plazonic@princeton.edu> 1.6.0-1
- initial build
